Gecode::Set::LubDiffRanges< View > Class Template Reference

Range iterator for difference of least upper bound and cache More...

`#include <view.hpp>`

## Public Member Functions

| LubDiffRanges (const CachedView< View > &x)
| Constructor.
| Diff (void)
| Default constructor.
void | init (BndSetRanges &i, LubRanges< View > &j)
| Initialize with iterator i and j.
void | operator++ (void)
| Move iterator to next range (if possible).
| MinMax (void)
| Default constructor.
| MinMax (int min, int max)
| Initialize with range min to max.
bool | operator() (void) const
| Test whether iterator is still at a range or done.
int | min (void) const
| Return smallest value of range.
int | max (void) const
| Return largest value of range.
unsigned int | width (void) const
| Return width of range (distance between minimum and maximum).

## Protected Attributes

BndSetRanges | cr
| Cached upper bound.
LubRanges< View > | lr
| Upper bound iterator.
Protected Attributes inherited from Gecode::Iter::Ranges::Diff< BndSetRanges, LubRanges< View > >
BndSetRanges | i
| Iterator from which to subtract.
LubRanges< View > | j
| Iterator to be subtracted.
Protected Attributes inherited from Gecode::Iter::Ranges::MinMax
int | mi
| Minimum of current range.
int | ma
| Maximum of current range.

## Additional Inherited Members

Protected Member Functions inherited from Gecode::Iter::Ranges::MinMax
void | finish (void)
| Set range such that iteration stops

## Detailed Description

template<class View>
class Gecode::Set::LubDiffRanges< View >

Range iterator for difference of least upper bound and cache

Definition at line 1154 of file view.hpp.

## Constructor & Destructor Documentation

## LubDiffRanges()

template<class View>

Gecode::Set::LubDiffRanges< View >::LubDiffRanges | ( | const CachedView< View > & | x | ) |

inline

Constructor.

Definition at line 400 of file cached.hpp.

## Member Data Documentation

## cr

template<class View>

BndSetRanges Gecode::Set::LubDiffRanges< View >::cr

protected

Cached upper bound.

Definition at line 1158 of file view.hpp.

## lr

template<class View>

LubRanges<View> Gecode::Set::LubDiffRanges< View >::lr

protected

Upper bound iterator.

Definition at line 1160 of file view.hpp.

The documentation for this class was generated from the following files:

- gecode/set/view.hpp
- gecode/set/view/cached.hpp